KABC::SortMode Class Referenceabstract

`#include <sortmode.h>`

Inherited by KABC::FieldSortMode, and KABC::NameSortMode.

## Public Member Functions

virtual bool | lesser (const KABC::Addressee &first, const KABC::Addressee &second) const =0

## Detailed Description

Sort method for sorting an addressee list.

This interface should be reimplemented by classes which shall act as SortModes for KABC::AddresseeList.

Definition at line 36 of file sortmode.h.

## Member Function Documentation

virtual bool KABC::SortMode::lesser | ( | const KABC::Addressee & | first,
|  | const KABC::Addressee & | second
| ) |  | const

pure virtual

Reimplement this method and return whether the first contact is 'smaller' than the second.

The documentation for this class was generated from the following file:

- sortmode.h

KDE Home | KDE Accessibility Home | Description of Access Keys